STRUCT TEMPLA(3)

NAME
boost::interprocess::iset_index_aux

SYNOPSIS

// In header: <boost/interprocess/indexes/iset_index.hpp>
template<typename MapConfig>
struct iset_index_aux {
  // types
  typedef MapConfig::segment_manager_base                                                             segment_manager_base;
  typedef segment_manager_base::void_pointer                                                          void_pointer;
  typedef bi::make_set_base_hook< bi::void_pointer< void_pointer >, bi::optimize_size< true > >::type derivation_hook;
  typedef MapConfig::template intrusive_value_type< derivation_hook >::type                           value_type;
  typedef std::less< value_type >                                                                     value_compare;
  typedef bi::make_set< value_type, bi::base_hook< derivation_hook > >::type                          index_t;
};

DESCRIPTION

@ Helper class to define typedefs from IndexTraits